#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'settings.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "settings.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqframe.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a Settings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Settings::Settings( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "Settings" );
    SettingsLayout = new TQVBoxLayout( this, 0, 0, "SettingsLayout"); 

    frame3 = new TQFrame( this, "frame3" );
    frame3->setFrameShape( TQFrame::StyledPanel );
    frame3->setFrameShadow( TQFrame::Raised );
    frame3->setLineWidth( 0 );
    frame3Layout = new TQGridLayout( frame3, 1, 1, 11, 6, "frame3Layout"); 

    groupBox1 = new TQGroupBox( frame3, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    kcfg_ShowRemoved = new TQCheckBox( groupBox1, "kcfg_ShowRemoved" );
    groupBox1Layout->addWidget( kcfg_ShowRemoved );

    kcfg_SolvableGames = new TQCheckBox( groupBox1, "kcfg_SolvableGames" );
    kcfg_SolvableGames->setChecked( TRUE );
    groupBox1Layout->addWidget( kcfg_SolvableGames );

    kcfg_PlayAnimation = new TQCheckBox( groupBox1, "kcfg_PlayAnimation" );
    kcfg_PlayAnimation->setChecked( TRUE );
    groupBox1Layout->addWidget( kcfg_PlayAnimation );

    frame3Layout->addMultiCellWidget( groupBox1, 0, 0, 0, 1 );
    spacer1 = new TQSpacerItem( 20, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    frame3Layout->addItem( spacer1, 2, 0 );

    kcfg_TiledBackground = new TQButtonGroup( frame3, "kcfg_TiledBackground" );
    kcfg_TiledBackground->setColumnLayout(0, TQt::Vertical );
    kcfg_TiledBackground->layout()->setSpacing( 6 );
    kcfg_TiledBackground->layout()->setMargin( 11 );
    kcfg_TiledBackgroundLayout = new TQVBoxLayout( kcfg_TiledBackground->layout() );
    kcfg_TiledBackgroundLayout->setAlignment( TQt::AlignTop );

    Background_scale = new TQRadioButton( kcfg_TiledBackground, "Background_scale" );
    kcfg_TiledBackgroundLayout->addWidget( Background_scale );

    Background_tiled = new TQRadioButton( kcfg_TiledBackground, "Background_tiled" );
    Background_tiled->setChecked( TRUE );
    kcfg_TiledBackgroundLayout->addWidget( Background_tiled );

    frame3Layout->addWidget( kcfg_TiledBackground, 1, 1 );

    groupBox2 = new TQGroupBox( frame3, "groupBox2" );
    groupBox2->setColumnLayout(0, TQt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new TQVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( TQt::AlignTop );

    kcfg_ShowShadows = new TQCheckBox( groupBox2, "kcfg_ShowShadows" );
    kcfg_ShowShadows->setChecked( FALSE );
    groupBox2Layout->addWidget( kcfg_ShowShadows );

    kcfg_MiniTiles = new TQCheckBox( groupBox2, "kcfg_MiniTiles" );
    groupBox2Layout->addWidget( kcfg_MiniTiles );

    frame3Layout->addWidget( groupBox2, 1, 0 );
    SettingsLayout->addWidget( frame3 );
    languageChange();
    resize( TQSize(274, 200).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Settings::~Settings()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Settings::languageChange()
{
    groupBox1->setTitle( tr2i18n( "General" ) );
    kcfg_ShowRemoved->setText( tr2i18n( "Show removed tiles" ) );
    kcfg_SolvableGames->setText( tr2i18n( "Generate solvable games" ) );
    kcfg_PlayAnimation->setText( tr2i18n( "Play winning animation" ) );
    kcfg_TiledBackground->setTitle( tr2i18n( "Background" ) );
    Background_scale->setText( tr2i18n( "Scale" ) );
    Background_tiled->setText( tr2i18n( "Tiled" ) );
    groupBox2->setTitle( tr2i18n( "Tiles" ) );
    kcfg_ShowShadows->setText( tr2i18n( "Draw shadows" ) );
    kcfg_MiniTiles->setText( tr2i18n( "Use mini-tiles" ) );
}

/****************************************************************************
** Settings meta object code from reading C++ file 'settings.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "settings.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *Settings::className() const
{
    return "Settings";
}

TQMetaObject *Settings::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_Settings( "Settings", &Settings::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString Settings::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Settings", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString Settings::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Settings", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* Settings::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"Settings", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_Settings.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* Settings::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Settings" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool Settings::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool Settings::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool Settings::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool Settings::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
