#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'chatDlg.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "chatDlg.h"

#include <ntqvariant.h>
#include <ntqlineedit.h>
#include <ntqpushbutton.h>
#include <ntqmultilineedit.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a chatDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
chatDlg::chatDlg( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "chatDlg" );
    chatDlgLayout = new TQHBoxLayout( this, 5, 3, "chatDlgLayout"); 

    layouter = new TQGridLayout( 0, 1, 1, 0, 6, "layouter"); 

    commentEdit = new TQLineEdit( this, "commentEdit" );

    layouter->addWidget( commentEdit, 2, 0 );

    sendBtn = new TQPushButton( this, "sendBtn" );
    sendBtn->setDefault( TRUE );

    layouter->addWidget( sendBtn, 2, 1 );

    chatView = new TQMultiLineEdit( this, "chatView" );
    chatView->setWordWrap( TQMultiLineEdit::WidgetWidth );
    chatView->setReadOnly( TRUE );

    layouter->addMultiCellWidget( chatView, 1, 1, 0, 1 );

    chatLabel = new TQLabel( this, "chatLabel" );

    layouter->addWidget( chatLabel, 0, 0 );
    chatDlgLayout->addLayout( layouter );
    languageChange();
    resize( TQSize(252, 236).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
chatDlg::~chatDlg()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void chatDlg::languageChange()
{
    setCaption( tr2i18n( "Chat Widget" ) );
    TQToolTip::add( commentEdit, tr2i18n( "Enter a message here" ) );
    sendBtn->setText( tr2i18n( "&Send" ) );
    TQToolTip::add( sendBtn, tr2i18n( "Press here to send the message" ) );
    TQWhatsThis::add( sendBtn, TQString::null );
    chatLabel->setText( tr2i18n( "Chat dialog:" ) );
}

/****************************************************************************
** chatDlg meta object code from reading C++ file 'chatDlg.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "chatDlg.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *chatDlg::className() const
{
    return "chatDlg";
}

TQMetaObject *chatDlg::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_chatDlg( "chatDlg", &chatDlg::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString chatDlg::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "chatDlg", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString chatDlg::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "chatDlg", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* chatDlg::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"chatDlg", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_chatDlg.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* chatDlg::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "chatDlg" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool chatDlg::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool chatDlg::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool chatDlg::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool chatDlg::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
